<?php
class sql_db
{

		public $db_id = NULL;
		public $q_result = NULL;
		public $row = array( );
		public $rowset = array( );
		public $num_queries = 0;

		public function sql_db( $sqlserver, $sqluser, $sqlpassword, $database, $persistency = TRUE )
		{
				$this->persistency = $persistency;
				$this->user = $sqluser;
				$this->password = $sqlpassword;
				$this->server = $sqlserver;
				$this->dbname = $database;
				if ( $this->persistency )
				{
						$this->db_id = mysql_pconnect( $sqlserver, $sqluser, $sqlpassword );
				}
				else
				{
						$this->db_id = mysql_connect( $sqlserver, $sqluser, $sqlpassword );
				}
				if ( $this->db_id && $database != "" )
				{
						$this->dbname = $database;
						if ( !mysql_select_db( $database ) )
						{
								@mysql_close( $this->db_id );
								$this->db_id = 0;
						}
				}
				return $this->db_id;
		}

		public function sql_close( )
		{
				if ( $this->db_id )
				{
						if ( $this->q_result )
						{
								@mysql_free_result( $this->q_result );
						}
						return mysql_close( $this->db_id );
				}
				return FALSE;
		}

		public function sql_query( $query = "" )
		{
				if ( $query != "" )
				{
						$this->q_result = mysql_query( $query, $this->db_id );
				}
				if ( $this->q_result )
				{
						unset( $Var_168[$this->q_result] );
						unset( $Var_240[$this->q_result] );
						return $this->q_result;
				}
				else
				{
						$this->show_error( $this->sql_error( ), $query );
						return FALSE;
				}
		}

		public function sql_numrows( $query_id = 0 )
		{
				if ( !$query_id )
				{
						$query_id = $this->q_result;
				}
				if ( $query_id )
				{
						return mysql_num_rows( $query_id );
				}
				else
				{
						return FALSE;
				}
		}

		public function sql_affectedrows( )
		{
				if ( $this->db_id )
				{
						return mysql_affected_rows( $this->db_id );
				}
				else
				{
						return FALSE;
				}
		}

		public function sql_numfields( $query_id = 0 )
		{
				if ( !$query_id )
				{
						$query_id = $this->q_result;
				}
				if ( $query_id )
				{
						return mysql_num_fields( $query_id );
				}
				else
				{
						return FALSE;
				}
		}

		public function sql_fieldname( $offset, $query_id = 0 )
		{
				if ( !$query_id )
				{
						$query_id = $this->q_result;
				}
				if ( $query_id )
				{
						return mysql_field_name( $query_id, $offset );
				}
				else
				{
						return FALSE;
				}
		}

		public function sql_fieldtype( $offset, $query_id = 0 )
		{
				if ( !$query_id )
				{
						$query_id = $this->q_result;
				}
				if ( $query_id )
				{
						return mysql_field_type( $query_id, $offset );
				}
				else
				{
						return FALSE;
				}
		}

		public function sql_fetchrow( $query_id = 0 )
		{
				if ( !$query_id )
				{
						$query_id = $this->q_result;
				}
				if ( $query_id )
				{
						$this->row[$query_id] = mysql_fetch_array( $query_id );
						return $this->row[$query_id];
				}
				else
				{
						return FALSE;
				}
		}

		public function sql_fetchrowset( $query_id = 0 )
		{
				if ( !$query_id )
				{
						$query_id = $this->q_result;
				}
				if ( $query_id )
				{
						unset( $Var_72[$query_id] );
						unset( $Var_120[$query_id] );
						while ( $this->rowset[$query_id] = mysql_fetch_array( $query_id ) )
						{
								$result[] = $this->rowset[$query_id];
						}
						return $result;
				}
				else
				{
						return FALSE;
				}
		}

		public function sql_fetchfield( $field, $rownum = -1, $query_id = 0 )
		{
				if ( !$query_id )
				{
						$query_id = $this->q_result;
				}
				if ( $query_id )
				{
						if ( -1 < $rownum )
						{
								$result = @mysql_result( $query_id, $rownum, $field );
						}
						else if ( empty( $this->row[$query_id] ) && empty( $this->rowset[$query_id] ) )
						{
								if ( $this->sql_fetchrow( ) )
								{
										$result = $this->row[$query_id][$field];
								}
						}
						else if ( $this->rowset[$query_id] )
						{
								$result = $this->rowset[$query_id][$field];
						}
						else if ( $this->row[$query_id] )
						{
								$result = $this->row[$query_id][$field];
						}
						return $result;
				}
				else
				{
						return FALSE;
				}
		}

		public function sql_dataseek( $rownum, $query_id = 0 )
		{
				if ( !$query_id )
				{
						$query_id = $this->q_result;
				}
				if ( $query_id )
				{
						return mysql_data_seek( $query_id, $rownum );
				}
				else
				{
						return FALSE;
				}
		}

		public function sql_nextid( )
		{
				if ( $this->db_id )
				{
						return mysql_insert_id( $this->db_id );
				}
				return FALSE;
		}

		public function sql_freeresult( $query_id = 0 )
		{
				if ( !$query_id )
				{
						$query_id = $this->q_result;
				}
				if ( $query_id )
				{
						unset( $Var_72[$query_id] );
						unset( $Var_120[$query_id] );
						@mysql_free_result( $query_id );
						return TRUE;
				}
				return FALSE;
		}

		public function show_error( $result, $query )
		{
				echo "<div style=\"position:absolute; border:1px solid #000066; direction:ltr; top:10px; left:5px; background-color:#EEEEEE; text-align:left\"><div style=\"background-color:#FF0000; color:#FFFFFF; width:100%; height:20px\">&nbsp;Error : </div><div style=\"padding:5px;\">SQL : ".$query."<br /> Error : ".$result['message']."</div></div>";
				exit( );
		}

		public function sql_error( $query_id = 0 )
		{
				$result['message'] = mysql_error( $this->db_id );
				$result['code'] = mysql_errno( $this->db_id );
				return $result;
		}

		public function escape( $data, $html = "no" )
		{
				if ( $html == "no" )
				{
						$data = htmlspecialchars( $data );
				}
				return mysql_real_escape_string( $data );
		}

		public function undo_escape( $data )
		{
				return stripslashes( $data );
		}

}

?>